Bug 157115 - (TB3d38892a) TB3d38892a dslconfig.py:132:dehydrate:ValueError: invalid literal for int(): None
TB3d38892a dslconfig.py:132:dehydrate:ValueError: invalid literal for int(): ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-05-06 19:46 EDT by peter baaij
Modified: 2008-05-06 20:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter baaij 2005-05-06 19:46:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
From scratch. Have given static ip's for ext.conn. and intranet conn in the query before formatation and installation start. First boot. Installed usb/adsl speedtch using ppp (have saved .pppO script etc.). Reboot. Look at (active) ppp0 and ethernet in networkbox. ppp0 is set to automatic ip, though static numbers show blured. Try to radio to these static numb. Impossible: getting bug report. Again and again.
Worked arround it by switching to dhcp (firestarter). Looks like static server adress works well. All other dynamic.
All this was done twice.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Fill in stat.ip for hostserver and intranet (ether) in box before install starts
2.First (re)boot install usb/adsl with ppp0
3.Second reboot try to switch (unintended) dynamic ip to static. Fails
  

Actual Results:  I switched to dynamic using shortcut with firestarter (new dhcp set). Host ip is still static i believe (?). All other comp. are on auto.

Expected Results:  I should have been aible to assign static ip's to each machine involved... In my case not such a big deal. Not such a big deal in my case. Everything further on worked fine.

Additional info:

I read a lot complaints from p. trying to install usb/adsl. It's very hard to figure it out, and you can make a lot of (little) mistakes that... can compile? Here is the bugreport: --->
Component: system-config-network
Version: 1.3.22
Summary: TB3d38892a dslconfig.py:132:dehydrate:ValueError: invalid literal for int(): None
Traceback (most recent call last):
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/deviceconfig.py", line 112, in on_okButton_clicked
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/dslconfig.py", line 132, in dehydrate
ValueError: invalid literal for int(): None

Local variables in innermost frame:
self: <netconfpkg.gui.dslconfig.dslConfigDialog instance at 0xf527acac>
dialup: Dialup.ProviderName=
Dialup.DefRoute=true
Dialup.Persist=false
Dialup.SyncPPP=false
Dialup.Password=mepris59
Dialup.ServiceName=
Dialup.Login=bv8@xs4all.nl
Dialup.DialMode=auto
Dialup.AcName=
<--- that was the bugreport
Comment 1 Matthew Miller 2006-07-10 18:59:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Bug Zapper 2008-04-03 12:08:59 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:10:06 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.